import request from '@/utils/request'

// 查询维修项目列表
export function listMaintainProject(query) {
  return request({
    url: '/business/maintainProject/list',
    method: 'get',
    params: query
  })
}

// 查询维修项目详细
export function getMaintainProject(id) {
  return request({
    url: '/business/maintainProject/' + id,
    method: 'get'
  })
}

// 新增维修项目
export function addMaintainProject(data) {
  return request({
    url: '/business/maintainProject',
    method: 'post',
    data: data
  })
}

// 修改维修项目
export function updateMaintainProject(data) {
  return request({
    url: '/business/maintainProject',
    method: 'put',
    data: data
  })
}

// 删除维修项目
export function delMaintainProject(id) {
  return request({
    url: '/business/maintainProject/' + id,
    method: 'delete'
  })
}
